Page MenuHomePhabricator

[PowerPC] Set the special DSCR with a compiler option.
ClosedPublic

Authored by stefanp on Jan 11 2022, 4:56 AM.

Details

Reviewers
lei
nemanjai
Group Reviewers
Restricted Project
Commits
rG2e55bc9f3c23: [PowerPC] Set the special DSCR with a compiler option.
Summary

Add a compiler option and the instructions required to set the
special Data Stream Control Register (DSCR). The special register will
not be set by default.

Original patch by: Muhammad Usman

Diff Detail

Event Timeline

stefanp created this revision.Jan 11 2022, 4:56 AM
stefanp requested review of this revision.Jan 11 2022, 4:56 AM
Herald added a project: Restricted Project. · View Herald TranscriptJan 11 2022, 4:56 AM
stefanp added a reviewer: Restricted Project.Jan 11 2022, 4:59 AM
stefanp updated this revision to Diff 401215.Jan 19 2022, 6:38 AM

Cleaned up some of the formatting issues.

lei added inline comments.Mar 4 2022, 9:22 AM
llvm/lib/Target/PowerPC/PPCInstrInfo.td
3081

//Disable these alias on AIX since they are not supported.

Herald added a project: Restricted Project. · View Herald TranscriptMar 4 2022, 9:22 AM
nemanjai accepted this revision.Mar 4 2022, 9:42 AM

LGTM.

llvm/lib/Target/PowerPC/PPCPreEmitPeephole.cpp
438

It likely doesn't matter, but we should get rid of this kill.

This revision is now accepted and ready to land.Mar 4 2022, 9:42 AM
stefanp updated this revision to Diff 419532.Mar 31 2022, 12:03 PM

Addressed comments and rebased patch to top of main.

This revision was landed with ongoing or failed builds.Mar 31 2022, 12:06 PM
This revision was automatically updated to reflect the committed changes.